ecrop Docs

Party (POST)

POST
/omni-omni/v1/parties

Authorization

Bearer Authentication
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/omni-omni/v1/parties" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
{
  "email": "string",
  "legalParty": {
    "businessSectors": [
      "FIN_INST_BANK_CREDIT"
    ],
    "companyName": "string",
    "customersLocations": [
      "string"
    ],
    "customersPaymentTypes": [
      "CASH"
    ],
    "description": "string",
    "legalFormType": "AKTIENGESELLSCHAFT",
    "registeredAddress": {
      "city": "string",
      "countryIso2": "string",
      "houseNo": "string",
      "street": "string",
      "zip": "string"
    },
    "registrationNumber": "string",
    "statute": {
      "content": "string",
      "description": "string",
      "fileExtension": "string",
      "fileType": "PICTURE",
      "id": 0,
      "title": "string",
      "url": "string"
    },
    "symbol": "string"
  },
  "naturalParty": {
    "birthDate": "2019-08-24",
    "firstName": "string",
    "image": {
      "content": "string",
      "description": "string",
      "fileExtension": "string",
      "fileType": "PICTURE",
      "id": 0,
      "title": "string",
      "url": "string"
    },
    "kyc": {
      "caseId": "string",
      "caseResult": [
        {
          "content": "string",
          "description": "string",
          "fileExtension": "string",
          "fileType": "PICTURE",
          "id": 0,
          "title": "string",
          "url": "string"
        }
      ],
      "kycProvider": "POSTIDENT",
      "kycResult": "success"
    },
    "lastName": "string",
    "links": [
      {
        "id": 0,
        "insertDate": "2019-08-24T14:15:22Z",
        "modifyDate": "2019-08-24T14:15:22Z",
        "title": "string",
        "url": "string"
      }
    ],
    "mobile": "string",
    "nationality": "string",
    "pepFlag": true,
    "phoneNumber": "string",
    "residentialAddress": {
      "city": "string",
      "countryIso2": "string",
      "houseNo": "string",
      "street": "string",
      "zip": "string"
    },
    "salutation": "UNKNOWN"
  },
  "publicKey": "string"
}

Additional Examples for Party creation

Natural Party Creation
{
  "email": "john.doe@example.com",
  "publicKey": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAwDNqC/f\n... [Rest of Public Key] ...\n-----END PUBLIC KEY-----",
  "naturalParty": {
    "firstName": "John",
    "lastName": "Doe",
    "salutation": "MR",
    "nationality": "DE",
    "phoneNumber": "+49123456789",
    "mobile": "+49987654321",
    "residentialAddress": {
      "countryIso2": "DE",
      "city": "Berlin",
      "street": "Example Street",
      "houseNo": "123",
      "zip": "12345"
    },
    "pepFlag": false,
    "birthDate": "1990-01-15",
    "kyc": {},  // KYC data will be handled separately
    "links": [] //  No social media links provided in this example
  }
}

On this page